QGIS Application - Bug report #15234
Grass processing scripts error
2016-07-07 05:07 AM - Patrick Palmier

Status: Closed

Priority: Normal

Assignee: Victor Olaya

Category: Processing/GRASS

Affected QGIS version:2.14.3 Regression?: No

Operating System: Windows 10 Easy fix?: No

Pull Request or Patch supplied: Resolution: not reproducable
Crashes QGIS or corrupls data: Copied to github as #: 23170
Description

When | try to run a grass or a grass 7 script,|'ve the following message

Problem executing algorithm
environment can only contain strings See log for more details

I'm using QGis 2.14.3 64bits Windows 10

History

#1 - 2016-07-07 09:45 AM - Giovanni Manghi
- Status changed from Open to Feedback

please try a clean install (remove the .qgis2 folder) and check the GRASS7 paths in Processing options. Thanks in advance.

#2 - 2016-07-07 09:45 AM - Giovanni Manghi

- Priority changed from High to Normal

#3 - 2016-07-20 06:42 AM - Marcel Foelsch

| do have the same issue and | have checked all pathes. | really don't know why it sometimes doesn't work and after | restart QGIS it works perfectly.

#4 - 2016-09-16 02:10 AM - Alexander Bruy

- Resolution set to not reproducable
- Status changed from Feedback to Closed

Closed for the lack of feedback. Reopen if necessary

#5 - 2017-02-24 03:01 AM - Otto Dassau

| found on GIS.SE that it might have to do with the openlayers plugin. At least for us this seems to solve the problem on 2.14 and 2.18 on Windows.
Switching to QuickMapService Plugin and removing Openlayers plugin make grass modules work again.
